## org.exist.test
Class TestConstants

    java.lang.Object
      org.exist.test.TestConstants

public class TestConstants
extends java.lang.Object

Field Summary
`static java.lang.String` `DECODED_SPECIAL_NAME` String representing the decoded path: t[e s]tá열
`static XmldbURI` `DESTINATION_COLLECTION_URI` XmldbURI representing the decoded path: /db/destination
`static XmldbURI` `DESTINATION_COLLECTION_URI2` XmldbURI representing the decoded path: /db/destination2
`static XmldbURI` `DESTINATION_COLLECTION_URI3` XmldbURI representing the decoded path: /db/destination3
`static XmldbURI` `SPECIAL_COLLECTION_URI` XmldbURI representing the decoded path: /db/t[e s]tá열
`static java.lang.String` `SPECIAL_NAME` String representing the encoded path: t%5Be%20s%5Dt%C3%A0%EC%97%B4
`static XmldbURI` `SPECIAL_URI` XmldbURI representing the decoded path: t[e s]tá열
`static XmldbURI` `SPECIAL_XML_URI` XmldbURI representing the decoded path: t[e s]tá열.xml
`static XmldbURI` `TEST_BINARY_URI` XmldbURI representing the decoded path: binary.txt
`static XmldbURI` `TEST_COLLECTION_URI` XmldbURI representing the decoded path: /db/test
`static XmldbURI` `TEST_COLLECTION_URI2` XmldbURI representing the decoded path: /db/test/test2
`static XmldbURI` `TEST_COLLECTION_URI3` XmldbURI representing the decoded path: /db/test/test2/test3
`static XmldbURI` `TEST_XML_URI` XmldbURI representing the decoded path: test.xml
`static XmldbURI` `TEST_XML_URI2` XmldbURI representing the decoded path: test2.xml
`static XmldbURI` `TEST_XML_URI3` XmldbURI representing the decoded path: test3.xml

Constructor Summary
`TestConstants()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DECODED_SPECIAL_NAME

    public static final java.lang.String DECODED_SPECIAL_NAME

  String representing the decoded path: t[e s]tá열

  See Also:
    Constant Field Values

### SPECIAL_NAME

    public static final java.lang.String SPECIAL_NAME

  String representing the encoded path: t%5Be%20s%5Dt%C3%A0%EC%97%B4

### SPECIAL_URI

    public static final XmldbURI SPECIAL_URI

  XmldbURI representing the decoded path: t[e s]tá열

### TEST_COLLECTION_URI

    public static final XmldbURI TEST_COLLECTION_URI

  XmldbURI representing the decoded path: /db/test

### TEST_COLLECTION_URI2

    public static final XmldbURI TEST_COLLECTION_URI2

  XmldbURI representing the decoded path: /db/test/test2

### TEST_COLLECTION_URI3

    public static final XmldbURI TEST_COLLECTION_URI3

  XmldbURI representing the decoded path: /db/test/test2/test3

### SPECIAL_COLLECTION_URI

    public static final XmldbURI SPECIAL_COLLECTION_URI

  XmldbURI representing the decoded path: /db/t[e s]tá열

### DESTINATION_COLLECTION_URI

    public static final XmldbURI DESTINATION_COLLECTION_URI

  XmldbURI representing the decoded path: /db/destination

### DESTINATION_COLLECTION_URI2

    public static final XmldbURI DESTINATION_COLLECTION_URI2

  XmldbURI representing the decoded path: /db/destination2

### DESTINATION_COLLECTION_URI3

    public static final XmldbURI DESTINATION_COLLECTION_URI3

  XmldbURI representing the decoded path: /db/destination3

### TEST_XML_URI

    public static final XmldbURI TEST_XML_URI

  XmldbURI representing the decoded path: test.xml

### TEST_XML_URI2

    public static final XmldbURI TEST_XML_URI2

  XmldbURI representing the decoded path: test2.xml

### TEST_XML_URI3

    public static final XmldbURI TEST_XML_URI3

  XmldbURI representing the decoded path: test3.xml

### SPECIAL_XML_URI

    public static final XmldbURI SPECIAL_XML_URI

  XmldbURI representing the decoded path: t[e s]tá열.xml

### TEST_BINARY_URI

    public static final XmldbURI TEST_BINARY_URI

  XmldbURI representing the decoded path: binary.txt

Constructor Detail

### TestConstants

    public TestConstants()

Copyright (C) Wolfgang Meier. All rights reserved.